diff --git a/templates/downloads/js/yum.js b/templates/downloads/js/yum.js
index 74b5702..eec3dc3 100644
--- a/templates/downloads/js/yum.js
+++ b/templates/downloads/js/yum.js
@@ -121,6 +121,9 @@ function archChanged() {
    var arch = document.getElementById('arch').value;
 
    if (!plat || plat == -1) {
+      document.getElementById('script').innerHTML = 'Select version and platform above';
+
+      // TODO: Remove
       document.getElementById('reporpm').innerHTML = 'Select version and platform above';
       document.getElementById('clientpackage').innerHTML = 'Select version and platform above';
       document.getElementById('serverpackage').innerHTML = 'Select version and platform above';
@@ -135,21 +138,30 @@ function archChanged() {
    var url = 'https://download.postgresql.org/pub/repos/yum/reporpms/' + plat + '-' + arch + '/pgdg-' + get_rpm_prefix(plat) +'-repo-latest.noarch.rpm';
 
    var installer = get_installer(plat);
-   document.getElementById('reporpm').innerHTML = installer + ' install ' + url;
-   document.getElementById('clientpackage').innerHTML = installer + ' install postgresql' + shortver;
-   document.getElementById('serverpackage').innerHTML = installer + ' install postgresql' + shortver + '-server';
+   script = document.getElementById('script')
+   script.innerHTML = '# Install the repository RPM:<br />';
+   script.innerHTML += installer + ' install ' + url + '<br /><br />';
+
+   script.innerHTML += '# Install client tools:<br />';
+   script.innerHTML += installer + ' install postgresql' + shortver + '<br /><br />';
 
-   document.getElementById('dnfmodule').style.display = disable_module_on(plat) ? 'list-item' : 'none';
+   script.innerHTML += '# Optionally install the database server:<br />';
+   script.innerHTML += installer + ' install postgresql' + shortver + '-server<br /><br />';
 
+   if (disable_module_on(plat)) {
+      script.innerHTML += '# Disable the built-in PostgreSQL module:<br />';
+      script.innerHTML += 'dnf -qy module disable postgresql<br /><br />';
+   }
+
+   script.innerHTML += '# Optionally initialize the database and enable automatic start:<br />';
    if (uses_systemd(plat)) {
        var setupcmd = 'postgresql-' + shortver + '-setup';
        if (ver < 10) {
-	   setupcmd = 'postgresql' + shortver + '-setup';
+	       setupcmd = 'postgresql' + shortver + '-setup';
        }
-
-       document.getElementById('initdb').innerHTML = '/usr/pgsql-' + ver + '/bin/' + setupcmd + ' initdb<br/>systemctl enable postgresql-' + ver + '<br/>systemctl start postgresql-' + ver;
+       script.innerHTML += '/usr/pgsql-' + ver + '/bin/' + setupcmd + ' initdb<br/>systemctl enable postgresql-' + ver + '<br/>systemctl start postgresql-' + ver;
    }
    else {
-       document.getElementById('initdb').innerHTML = 'service postgresql-' + ver + ' initdb<br/>chkconfig postgresql-' + ver + ' on<br/>service postgresql-' + ver + ' start';
+       script.innerHTML += 'service postgresql-' + ver + ' initdb<br/>chkconfig postgresql-' + ver + ' on<br/>service postgresql-' + ver + ' start';
    }
 }
diff --git a/templates/pages/download/linux/redhat.html b/templates/pages/download/linux/redhat.html
index bc309d6..8ca2320 100644
--- a/templates/pages/download/linux/redhat.html
+++ b/templates/pages/download/linux/redhat.html
@@ -59,20 +59,8 @@ To use the PostgreSQL Yum Repository, follow these steps:
   <li>Select version: <select id="version" class="custom-select" onChange="verChanged()"></select><br/></li>
   <li>Select platform: <select id="platform" class="custom-select" onChange="platChanged()"></select></li>
   <li>Select architecture: <select id="arch" class="custom-select" onChange="archChanged()"></select></li>
-  <li>Install the repository RPM:
-    <pre id="reporpm" class="code"></pre>
-  </li>
-  <li id="dnfmodule">Disable the built-in PostgreSQL module
-    <pre class="code">dnf -qy module disable postgresql</pre>
-  </li>
-  <li>Install the client packages:
-    <pre id="clientpackage" class="code"></pre>
-  </li>
-  <li>Optionally install the server packages:
-    <pre id="serverpackage" class="code"></pre>
-  </li>
-  <li>Optionally initialize the database and enable automatic start:
-      <pre id="initdb" class="code"></pre>
+  <li>Copy, paste and run the setup script:
+    <pre id="script" class="code"></pre>
   </li>
 </ol>
 
